This documentation references Amazon ParallelCluster. For running HPC and AI workloads, we recommend Amazon Parallel Computing Service (Amazon PCS)
getImageLogEvents
Retrieve the events that are associated with an image build.
Request syntax
GET /v3/images/custom/{imageId}/logstreams/{logStreamName} { "endTime": datetime, "limit": float, "nextToken": "string", "region": "string", "startFromHead": boolean, "startTime": datetime }
Request body
- imageId
-
The ID of the image.
Type: string
Required: Yes
- logStreamName
-
The name of the logstream.
Type: string
Required: Yes
- endTime
-
The end of the time range, expressed in ISO 8601 format. Events with a timestamp equal to or later than this time aren't included.
Type: datetime
Format:
2021-01-01T20:00:00ZRequired: No
- limit
-
The maximum number of log events returned. If you don't specify a value, the maximum is as many log events as can fit in a response size of 1 MB, up to 10,000 log events.
Type: float
Required: No
- nextToken
-
The token for the next set of results.
Type: string
Required: No
- region
-
The Amazon Web Services Region that the image in.
Type: string
Required: No
- startFromHead
-
If set to
true, return the earliest log events first. If set to false, return the latest log events first. The default isfalse.Type: boolean
Required: No
- startTime
-
The start of the time range, expressed in ISO 8601 format. Events with a timestamp equal to this time or later than this time are included.
Type: datetime
Format:
2021-01-01T20:00:00ZRequired: No
Response syntax
{ "nextToken": "string", "prevToken": "string", "events": [ { "timestamp": "2019-08-24T14:15:22Z", "message": "string" } ] }
Response body
- events
-
A list of filtered events.
- message
-
The event message.
Type: string
- timestamp
-
The event timestamp.
Type: datetime
- nextToken
-
A token that can be used to retrieve the next set of results, or
nullif there are no additional results.Type: string
- prevToken
-
A token that can be used to retrieve the previous set of results, or
nullif there are no additional results.Type: string